Subject: Re: HW 4

From: Chee Yap <[email-masked]>
Date: Thu, 11 Nov 1999 10:31:33 -0500 (EST)

BigInteger.ZERO or ONE is convenient to
use, but you can always get around it by
constructing your own!

E.g.
	BigInteger(0)

will give you the same value as BigInteger.ZERO.

--Chee

> From [email-masked] Wed Nov 10 23:05 EST 1999
> From: "Nitika Jain" <[email-masked]>
> To: <[email-masked]>
> Subject: HW 4
> Date: Wed, 10 Nov 1999 23:01:34 -0500
> X-Priority: 3
> X-MSMail-Priority: Normal
> X-MimeOLE: Produced By Microsoft MimeOLE V4.72.3110.3
> 
> Dear Prof. Yap,
> It seems that a lot of students are having problems with BigInteger.ZERO on their acf5 accounts.  I also have this problem.  My program won't compile and keeps giving me the following error:
> 
> mult.java:24: Variable ZERO in class java.math.BigInteger not accessible from cl
> ass mult.
>                 return BigInteger.ZERO;
>                                  ^          
> I went to Archi's office hours today and he didn't know why this was occuring either. (He later sent out an e-mail about it).
> 
> I just wanted to make sure that we will not get 0's or less points because of this error, since it is out of our control...it is a problem with acf5.
> 
> Thanks,
> Nitika